# H225_CallCapacityInfo Class Reference

`#include <h225.h>`

Inheritance diagram for H225_CallCapacityInfo:

List of all members.

## Public Types

enum | OptionalFields { e_voiceGwCallsAvailable, e_h310GwCallsAvailable, e_h320GwCallsAvailable, e_h321GwCallsAvailable, e_h322GwCallsAvailable, e_h323GwCallsAvailable, e_h324GwCallsAvailable, e_t120OnlyGwCallsAvailable, e_t38FaxAnnexbOnlyGwCallsAvailable, e_terminalCallsAvailable, e_mcuCallsAvailable, e_sipGwCallsAvailable }

## Public Member Functions

| H225_CallCapacityInfo (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_ArrayOf_CallsAvailable | m_voiceGwCallsAvailable
H225_ArrayOf_CallsAvailable | m_h310GwCallsAvailable
H225_ArrayOf_CallsAvailable | m_h320GwCallsAvailable
H225_ArrayOf_CallsAvailable | m_h321GwCallsAvailable
H225_ArrayOf_CallsAvailable | m_h322GwCallsAvailable
H225_ArrayOf_CallsAvailable | m_h323GwCallsAvailable
H225_ArrayOf_CallsAvailable | m_h324GwCallsAvailable
H225_ArrayOf_CallsAvailable | m_t120OnlyGwCallsAvailable
H225_ArrayOf_CallsAvailable | m_t38FaxAnnexbOnlyGwCallsAvailable
H225_ArrayOf_CallsAvailable | m_terminalCallsAvailable
H225_ArrayOf_CallsAvailable | m_mcuCallsAvailable
H225_ArrayOf_CallsAvailable | m_sipGwCallsAvailable

## Member Enumeration Documentation

enum H225_CallCapacityInfo::OptionalFields

Enumerator:

  e_voiceGwCallsAvailable |
  e_h310GwCallsAvailable |
  e_h320GwCallsAvailable |
  e_h321GwCallsAvailable |
  e_h322GwCallsAvailable |
  e_h323GwCallsAvailable |
  e_h324GwCallsAvailable |
  e_t120OnlyGwCallsAvailable |
  e_t38FaxAnnexbOnlyGwCallsAvailable |
  e_terminalCallsAvailable |
  e_mcuCallsAvailable |
  e_sipGwCallsAvailable |

## Constructor & Destructor Documentation

H225_CallCapacityInfo::H225_CallCapacityInfo | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_CallCapacityInfo::GetDataLength | ( |  | ) | const

PBoolean H225_CallCapacityInfo::Decode | ( | PASN_Stream & | strm | ) |

void H225_CallCapacityInfo::Encode | ( | PASN_Stream & | strm | ) | const

void H225_CallCapacityInfo::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_CallCapacityInfo::Compare | ( | const PObject & | obj | ) | const

PObject* H225_CallCapacityInfo::Clone | ( |  | ) | const

## Member Data Documentation

H225_ArrayOf_CallsAvailable H225_CallCapacityInfo::m_voiceGwCallsAvailable

H225_ArrayOf_CallsAvailable H225_CallCapacityInfo::m_h310GwCallsAvailable

H225_ArrayOf_CallsAvailable H225_CallCapacityInfo::m_h320GwCallsAvailable

H225_ArrayOf_CallsAvailable H225_CallCapacityInfo::m_h321GwCallsAvailable

H225_ArrayOf_CallsAvailable H225_CallCapacityInfo::m_h322GwCallsAvailable

H225_ArrayOf_CallsAvailable H225_CallCapacityInfo::m_h323GwCallsAvailable

H225_ArrayOf_CallsAvailable H225_CallCapacityInfo::m_h324GwCallsAvailable

H225_ArrayOf_CallsAvailable H225_CallCapacityInfo::m_t120OnlyGwCallsAvailable

H225_ArrayOf_CallsAvailable H225_CallCapacityInfo::m_t38FaxAnnexbOnlyGwCallsAvailable

H225_ArrayOf_CallsAvailable H225_CallCapacityInfo::m_terminalCallsAvailable

H225_ArrayOf_CallsAvailable H225_CallCapacityInfo::m_mcuCallsAvailable

H225_ArrayOf_CallsAvailable H225_CallCapacityInfo::m_sipGwCallsAvailable

The documentation for this class was generated from the following file:

- h225.h